Subject: [xml2rfc] the "next rev" coming soon...
From: [email-masked] (Joe Abley)
Date: Wed, 27 Nov 2002 21:48:56 -0500

On Tuesday, Nov 26, 2002, at 22:05 Canada/Eastern, Tony Hansen wrote:

> It should probably be any 2xx code.
>
> And of course, if a 3xx code is returned, the Location header should 
> be looked at for a new URL, and the new URL checked, repeatedly until 
> a non-3xx code is seen.
>
> And provisions for HTTP proxies would need to be included, such as 
> supporting $http_proxy on unix (the environment variable to indicate 
> the proxy address used by numerous other web programs).

Or you could just shell out to $HTTP_GET_UTILITY, defaulting to 
something reasonable if that's not defined.

From: [email-masked] (Tony Hansen)
Date: Tue, 26 Nov 2002 22:05:57 -0500
Subject: [xml2rfc] the "next rev" coming soon...
References: <[email-masked]>	<[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Marshall Rose wrote:
>>* I also suggest you document the use of <artwork type="abnf"> (with 
>>precisely that punctuation and capitalization).  I plan to make the ABNF 
>>validator at www.apps.ietf.org aware of that construct so one can paste the 
>>XML RFC source in for ABNF validation.  Of course then we need a processing 
>>instruction like <?abnf include="rfc####.abnf"?> which raises interesting 
>>issues...
> 
> 
> let say that i add something to xml2rfc to that when it sees
>     
>     <artwork type='abnf'>
>     ...
>     </artwork>
>     
> that it passes the contents to a URL and looks for a 200 code coming
> back. If it doesn't get a 200 code, then the result is returned as an
> error to the user.

It should probably be any 2xx code.

And of course, if a 3xx code is returned, the Location header should be 
looked at for a new URL, and the new URL checked, repeatedly until a 
non-3xx code is seen.

And provisions for HTTP proxies would need to be included, such as 
supporting $http_proxy on unix (the environment variable to indicate the 
proxy address used by numerous other web programs).

> presumably, the way this would work is we'd have something like
>     
>     <?rfc abnf.proc=' ... ' ?>
>     <?rfc mib.proc=' ... '  ?>
>     
> to tell xml2rfc what to invoke.
>     
> 
> two questions:
>     
> 1. would this be useful?
>     
> 2. what online tools exist for checking abnf/mib syntax?
>     
> thanks,

I was going to recommend Chris Newman's, but I see he's already 
responded in another message.

	Tony Hansen
	[email-masked]

From: [email-masked] (Marshall Rose)
Date: Tue, 26 Nov 2002 17:41:16 -0800
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> However, I think it makes more sense for me to modify the ABNF checker to 
> accept the complete XML source document, so that it can give correct line 
> numbers in the output.  ABNF checking is really only necessary towards the 
> end of document production, not as an ongoing action when generating a 
> draft.

interesting. i suppose i can make the line number thing work (xml2rfc has an
include facility, so it has a structure that maps physical line number to
file/line number).

so, email me privately when you've got it running, and we can talk about the
interface.

/mtr

From: [email-masked] (Chris Newman)
Date: Tue, 26 Nov 2002 16:38:35 -0800
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

I wasn't suggesting code changes.  I was suggesting documentation changes 
to document specific the use of type="abnf" for ABNF in draft-mrose-...

But if you want to go down the code change path, the ABNF checker I wrote 
is at:

  http://www.apps.ietf.org/abnf.html

and I can make the C source available if you wish.

However, I think it makes more sense for me to modify the ABNF checker to 
accept the complete XML source document, so that it can give correct line 
numbers in the output.  ABNF checking is really only necessary towards the 
end of document production, not as an ongoing action when generating a 
draft.

                - Chris

begin  quotation by Marshall Rose on 2002/11/26 12:57 -0800:

>> * I also suggest you document the use of <artwork type="abnf"> (with
>> precisely that punctuation and capitalization).  I plan to make the ABNF
>> validator at www.apps.ietf.org aware of that construct so one can paste
>> the  XML RFC source in for ABNF validation.  Of course then we need a
>> processing  instruction like <?abnf include="rfc####.abnf"?> which
>> raises interesting  issues...
>
> let say that i add something to xml2rfc to that when it sees
>
>     <artwork type='abnf'>
>     ...
>     </artwork>
>
> that it passes the contents to a URL and looks for a 200 code coming
> back. If it doesn't get a 200 code, then the result is returned as an
> error to the user.
>
> presumably, the way this would work is we'd have something like
>
>     <?rfc abnf.proc=' ... ' ?>
>     <?rfc mib.proc=' ... '  ?>
>
> to tell xml2rfc what to invoke.
>
>
> two questions:
>
> 1. would this be useful?
>
> 2. what online tools exist for checking abnf/mib syntax?
>
> thanks,
>
> /mtr

From: [email-masked] (Randy Bush)
Date: Tue, 26 Nov 2002 16:02:33 -0800
Subject: [xml2rfc] the "next rev" coming soon...
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

>>> let say that i add something to xml2rfc to that when it sees
>>>     <artwork type='abnf'>
>>>     ...
>>>     </artwork>
>>> that it passes the contents to a URL and looks for a 200 code coming
>>> back. If it doesn't get a 200 code, then the result is returned as an
>>> error to the user.
>> uh, this presumes ip connectivity.  hence, needs to be able to deal with
>> lack thereof in a non-fatal manner.
> sure. if we implement this, then i'll make sure that it still works for
> the non-connected...

btw, i think it is worth special note and special thanks that you
are not trying to be 'creative' or 'clever' in aspects of inventing
standards, imposing a non-centerist social or political view, ...
on the code.  like philip hazel's exim (as opposed to qmail etc)
you are finding a very very comfortable, compatible, and
interoperable product spec.  few understand just how difficult this
is to accomplish.  thanks.  much appreciated.

randy

From: [email-masked] (Marshall Rose)
Date: Tue, 26 Nov 2002 15:42:41 -0800
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> > let say that i add something to xml2rfc to that when it sees
> >     
> >     <artwork type='abnf'>
> >     ...
> >     </artwork>
> >     
> > that it passes the contents to a URL and looks for a 200 code coming
> > back. If it doesn't get a 200 code, then the result is returned as an
> > error to the user.
> 
> uh, this presumes ip connectivity.  hence, needs to be able to deal with
> lack thereof in a non-fatal manner.

sure. if we implement this, then i'll make sure that it still works for the
non-connected...

/mtr

From: [email-masked] (Randy Bush)
Date: Tue, 26 Nov 2002 15:22:59 -0800
Subject: [xml2rfc] the "next rev" coming soon...
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> let say that i add something to xml2rfc to that when it sees
>     
>     <artwork type='abnf'>
>     ...
>     </artwork>
>     
> that it passes the contents to a URL and looks for a 200 code coming
> back. If it doesn't get a 200 code, then the result is returned as an
> error to the user.

uh, this presumes ip connectivity.  hence, needs to be able to deal with
lack thereof in a non-fatal manner.

randy

From: [email-masked] (Marshall Rose)
Date: Tue, 26 Nov 2002 14:03:00 -0800
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> Would it make sense (asking a lot) to provide an extension to the schema 
> that would allow for the systematic creation of the SMI stuff? 

not quite sure i understand what you're asking (other than "(asking a lot)")...

/mtr

From: [email-masked] (Fred Baker)
Date: Tue, 26 Nov 2002 13:39:34 -0800
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]. ca.us>
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

At 12:57 PM 11/26/2002 -0800, Marshall Rose wrote:
>let say that i add something to xml2rfc to that when it sees
>
>     <artwork type='abnf'>
>     ...
>     </artwork>
>
>that it passes the contents to a URL and looks for a 200 code coming
>back. If it doesn't get a 200 code, then the result is returned as an
>error to the user.

that would be interesting and useful. I'd suggest having folks send it to 
Bert's favorite SMI checker.

Would it make sense (asking a lot) to provide an extension to the schema 
that would allow for the systematic creation of the SMI stuff? 

From: [email-masked] (Marshall Rose)
Date: Tue, 26 Nov 2002 13:21:52 -0800
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> If you go down this path, please be sure to make it straightforward
> to turn off when you are working without a network connection.

simply remove/edit

> >     <?rfc abnf.proc=' ... ' ?>
> >     <?rfc mib.proc=' ... '  ?>

e.g.,

	<?rfc Xabnf.proc='...' ?>

/mtr

From: [email-masked] (Julian Reschke)
Date: Tue, 26 Nov 2002 22:14:59 +0100
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

Hi,

I've got something similar working in my XSLT RFC2629 implementation. When a
certain PI is set, it attempts to parse XML content in figures. The issue
here (which led to an ugly hack) is that frequently, the code to be parsed
(be it XML or ABNF) is not the only contents of the figure. For instance, in
WebDAV related drafts one frequently has figures like:

--- cut ---
SEARCH / HTTP/1.1
Host: example.org
Content-Type: application/xml
Content-Length: xxx

<?xml version="1.0" encoding="UTF-8"?>
<D:searchrequest xmlns:D="DAV:" xmlns:F="http://example.com/foo">
  <F:natural-language-query>
    Find the locations of good Thai restaurants in Los Angeles
  </F:natural-language-query>
</D:searchrequest>
--- cut ---

So to make this really useful, it would probably useful to allow multiple
artwork elements in figures, so that the following syntax becomes possible;

<figure>
<artwork>
SEARCH / HTTP/1.1
Host: example.org
Content-Type: application/xml
Content-Length: xxx

</artwork>
<artwork type="text/xml">
&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;D:searchrequest xmlns:D="DAV:" xmlns:F="http://example.com/foo">
  &lt;F:natural-language-query>
    Find the locations of good Thai restaurants in Los Angeles
  &lt;/F:natural-language-query>
&lt;/D:searchrequest>
</artwork>
</figure

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Marshall Rose
> Sent: Tuesday, November 26, 2002 9:58 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [xml2rfc] the "next rev" coming soon...
>
>
> > * I also suggest you document the use of <artwork type="abnf"> (with
> > precisely that punctuation and capitalization).  I plan to make
> the ABNF
> > validator at www.apps.ietf.org aware of that construct so one
> can paste the
> > XML RFC source in for ABNF validation.  Of course then we need
> a processing
> > instruction like <?abnf include="rfc####.abnf"?> which raises
> interesting
> > issues...
>
> let say that i add something to xml2rfc to that when it sees
>
>     <artwork type='abnf'>
>     ...
>     </artwork>
>
> that it passes the contents to a URL and looks for a 200 code coming
> back. If it doesn't get a 200 code, then the result is returned as an
> error to the user.
>
> presumably, the way this would work is we'd have something like
>
>     <?rfc abnf.proc=' ... ' ?>
>     <?rfc mib.proc=' ... '  ?>
>
> to tell xml2rfc what to invoke.
>
>
> two questions:
>
> 1. would this be useful?
>
> 2. what online tools exist for checking abnf/mib syntax?
>
> thanks,
>
> /mtr
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>

From: [email-masked] (Robert Sparks)
Date: 26 Nov 2002 15:13:51 -0600
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

If you go down this path, please be sure to make it straightforward
to turn off when you are working without a network connection.

RjS

On Tue, 2002-11-26 at 14:57, Marshall Rose wrote:
> > * I also suggest you document the use of <artwork type="abnf"> (with 
> > precisely that punctuation and capitalization).  I plan to make the ABNF 
> > validator at www.apps.ietf.org aware of that construct so one can paste the 
> > XML RFC source in for ABNF validation.  Of course then we need a processing 
> > instruction like <?abnf include="rfc####.abnf"?> which raises interesting 
> > issues...
> 
> let say that i add something to xml2rfc to that when it sees
>     
>     <artwork type='abnf'>
>     ...
>     </artwork>
>     
> that it passes the contents to a URL and looks for a 200 code coming
> back. If it doesn't get a 200 code, then the result is returned as an
> error to the user.
>     
> presumably, the way this would work is we'd have something like
>     
>     <?rfc abnf.proc=' ... ' ?>
>     <?rfc mib.proc=' ... '  ?>
>     
> to tell xml2rfc what to invoke.
>     
> 
> two questions:
>     
> 1. would this be useful?
>     
> 2. what online tools exist for checking abnf/mib syntax?
>     
> thanks,
>     
> /mtr
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc

From: [email-masked] (Marshall Rose)
Date: Tue, 26 Nov 2002 12:57:42 -0800
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> * I also suggest you document the use of <artwork type="abnf"> (with 
> precisely that punctuation and capitalization).  I plan to make the ABNF 
> validator at www.apps.ietf.org aware of that construct so one can paste the 
> XML RFC source in for ABNF validation.  Of course then we need a processing 
> instruction like <?abnf include="rfc####.abnf"?> which raises interesting 
> issues...

let say that i add something to xml2rfc to that when it sees
    
    <artwork type='abnf'>
    ...
    </artwork>
    
that it passes the contents to a URL and looks for a 200 code coming
back. If it doesn't get a 200 code, then the result is returned as an
error to the user.
    
presumably, the way this would work is we'd have something like
    
    <?rfc abnf.proc=' ... ' ?>
    <?rfc mib.proc=' ... '  ?>
    
to tell xml2rfc what to invoke.

two questions:
    
1. would this be useful?
    
2. what online tools exist for checking abnf/mib syntax?
    
thanks,
    
/mtr

From: [email-masked] (Marshall Rose)
Date: Mon, 25 Nov 2002 21:39:26 -0800
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

hi. xml2rfc doesn't "do" warnings, just errors, so:

1. I will remove "-" from the list of characters where a break can be made.

2. i will add 
    
    <?rfc strict="yes"?>
    
which will enforce:
    
    line length <= 72
    toc required if pages > 15
    authors <= 5
    xref/eref not allowed in abstract

3. i will add
    
    <?rfc iprnotified="yes"?>
    
which will add the 10.4(d) boilerplate.

4. i'm not sure what, exactly, i need to change to make it more ABNF/MIB
friendly...

/mtr

From: [email-masked] (Chris Newman)
Date: Mon, 25 Nov 2002 17:57:14 -0800
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

To comply with:

>   * No hyphenation for line-breaks

I suggest changing the boilerplate from:

>   ...
>   other groups may also distribute working documents as Internet-
>   Drafts.

to

>   ...
>   other groups may also distribute working documents as
>   Internet-Drafts.

should be easy to fix...  :-)

Other suggestions (you may do these already):

* Generate a warning if any line (including indented artwork) extends past 
the 72nd column.

* Generate a warning if > 15 pages and toc PI is "no"

* Generate a warning if > 5 authors

* Generate a warning if <xref> tags are present in the abstract.

* Add a processing instruction <?rfc patentssuck="yes"?> to turn on the 
10.4(D) boilerplate.

* I also suggest you document the use of <artwork type="abnf"> (with 
precisely that punctuation and capitalization).  I plan to make the ABNF 
validator at www.apps.ietf.org aware of that construct so one can paste the 
XML RFC source in for ABNF validation.  Of course then we need a processing 
instruction like <?abnf include="rfc####.abnf"?> which raises interesting 
issues...

                - Chris

begin quotation by Marshall Rose on 2002/11/21 16:13 -0500:
> does anyone have any other requests for ID-nits support?

From: [email-masked] (Randy Bush)
Date: Fri, 22 Nov 2002 14:02:41 -0800
Subject: [xml2rfc] the "next rev" coming soon...
References: <[email-masked]> <[email-masked]> <20021121212205.GA1968@SBRIM-W2K1> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> As I understand it, IANA considerations are only required in standards 
> track documents. Most internet drafts, and most RFCs, aren't. 

they are only required in documents, standards, bcp, info, whatever, which
require assignment or management of numbers etc. by the iana.

randy

From: [email-masked] (Fred Baker)
Date: Fri, 22 Nov 2002 13:34:41 -0800
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]. ca.us>
References: <[email-masked]> <[email-masked]> <20021121212205.GA1968@SBRIM-W2K1> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

At 04:51 PM 11/21/2002 -0500, Marshall Rose wrote:
> > Also, IANA Considerations is explicitly listed as "sometimes required".
>
>what do folks think about making "IANA Considerations" mandatory?

As I understand it, IANA considerations are only required in standards 
track documents. Most internet drafts, and most RFCs, aren't. 

From: [email-masked] (Randy Bush)
Date: Fri, 22 Nov 2002 11:54:55 -0800
Subject: [xml2rfc] the "next rev" coming soon...
References: <[email-masked]> <20021121212205.GA1968@SBRIM-W2K1> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> what do folks think about making "IANA Considerations" mandatory?

by current ietf process, they are not required to be present

randy

From: [email-masked] (Dan Kohn)
Date: Thu, 21 Nov 2002 23:50:08 -0800
Subject: [xml2rfc] the "next rev" coming soon...
Message-ID: <[email-masked]>

I would require both Normative References and IANA Considerations unless
there is a PI present explicitly overriding each.

          - dan
--
Dan Kohn <mailto:[email-masked]>
<http://www.dankohn.com/>  <tel:+1-650-327-2600>  

  Randomly generated quote:
In War: Resolution;  In Defeat: Defiance;  In Victory: Magnanimity;  In
Peace: Good Will.  - Winston Churchill

-----Original Message-----
From: Henrik Levkowetz [mailto:[email-masked]] 
Sent: Thursday, November 21, 2002 14:14
To: Marshall Rose
Cc: [email-masked]
Subject: Re: [xml2rfc] the "next rev" coming soon...

On Thu, 21 Nov 2002 16:51:35 -0500, Marshall Rose
<[email-masked]> wrote:
> > My reading of ID-nits agrees with your suggestion that at least one
of 
> > them must have the title Normative References or the title
Informative 
> > References.
> > 
> > Also, IANA Considerations is explicitly listed as "sometimes
required".
> 
> what do folks think about making "IANA Considerations" mandatory?

Mmm, could we possibly have both missing or incorrect reference titles
and
missing "IANA Considerations" produce a warning instead of an error?

Alternatively, provide options to turn each of these off, for the rare
cases when they would not be appropriate?

		Henrik

-- 

Henrik Levkowetz +46708321608 [email-masked] www.ipunplugged.com
------------------------------------------------------------------------

  Does the name Pavlov ring a bell?

_______________________________________________
xml2rfc mailing list
[email-masked]
http://lists.xml.resource.org/mailman/listinfo/xml2rfc

From: [email-masked] (=?ISO-8859-1?Q?Patrik_F=E4ltstr=F6m?=)
Date: Thu, 21 Nov 2002 20:13:17 -0500
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

On torsdag, nov 21, 2002, at 16:24 US/Eastern, Marshall Rose wrote:

> 2. change the test so that if there is at least one <reference/> 
> element, then
> at least one of them must have the title "Normative References" or the 
> title
> "Informative References".

I think this is what we want.

   paf

From: [email-masked] (Henrik Levkowetz)
Date: Thu, 21 Nov 2002 23:13:34 +0100
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]> <20021121212205.GA1968@SBRIM-W2K1> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

On Thu, 21 Nov 2002 16:51:35 -0500, Marshall Rose <[email-masked]> wrote:
> > My reading of ID-nits agrees with your suggestion that at least one of 
> > them must have the title Normative References or the title Informative 
> > References.
> > 
> > Also, IANA Considerations is explicitly listed as "sometimes required".
> 
> what do folks think about making "IANA Considerations" mandatory?

Mmm, could we possibly have both missing or incorrect reference titles and
missing "IANA Considerations" produce a warning instead of an error?

Alternatively, provide options to turn each of these off, for the rare
cases when they would not be appropriate?

		Henrik

-- 

Henrik Levkowetz +46708321608 [email-masked] www.ipunplugged.com
------------------------------------------------------------------------

  Does the name Pavlov ring a bell?

From: [email-masked] (Tony Hansen)
Date: Thu, 21 Nov 2002 16:56:34 -0500
Subject: [xml2rfc] the "next rev" coming soon...
References: <[email-masked]>	<20021121212205.GA1968@SBRIM-W2K1>	<[email-masked]>	<[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Marshall Rose wrote:
>>Also, IANA Considerations is explicitly listed as "sometimes required".
> what do folks think about making "IANA Considerations" mandatory?

I don't think you want to do so.

	Tony

From: [email-masked] (Marshall Rose)
Date: Thu, 21 Nov 2002 16:51:35 -0500
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]> <20021121212205.GA1968@SBRIM-W2K1> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> My reading of ID-nits agrees with your suggestion that at least one of 
> them must have the title Normative References or the title Informative 
> References.
> 
> Also, IANA Considerations is explicitly listed as "sometimes required".

what do folks think about making "IANA Considerations" mandatory?

/mtr

From: [email-masked] (Tony Hansen)
Date: Thu, 21 Nov 2002 16:39:49 -0500
Subject: [xml2rfc] the "next rev" coming soon...
References: <[email-masked]>	<20021121212205.GA1968@SBRIM-W2K1> <[email-masked]>
Message-ID: <[email-masked]>

My reading of ID-nits agrees with your suggestion that at least one of 
them must have the title Normative References or the title Informative 
References.

Also, IANA Considerations is explicitly listed as "sometimes required".

	Tony

Marshall Rose wrote:
>>On Thu, Nov 21, 2002 04:13:21PM -0500, Marshall Rose allegedly wrote:
>>
>>>1. if you have at least one <reference/> element, then at least one of
>>>   them must have title='Normative References'
>>
>>RFCs aren't necessarily specifications, and if they are purely
>>informational they can have purely non-normative references.  In the IPR
>>one the only normative reference I have is to rfc2119.
> 
> ok, we have two choices:
> 1. remove the test.
> 2. change the test so that if there is at least one <reference/> element, then
> at least one of them must have the title "Normative References" or the title
> "Informative References".
> ??

From: [email-masked] (Marshall Rose)
Date: Thu, 21 Nov 2002 16:24:30 -0500
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <20021121212205.GA1968@SBRIM-W2K1>
References: <[email-masked]> <20021121212205.GA1968@SBRIM-W2K1>
Message-ID: <[email-masked]>

> On Thu, Nov 21, 2002 04:13:21PM -0500, Marshall Rose allegedly wrote:
> > 1. if you have at least one <reference/> element, then at least one of
> >    them must have title='Normative References'
> 
> RFCs aren't necessarily specifications, and if they are purely
> informational they can have purely non-normative references.  In the IPR
> one the only normative reference I have is to rfc2119.

ok, we have two choices:

1. remove the test.

2. change the test so that if there is at least one <reference/> element, then
at least one of them must have the title "Normative References" or the title
"Informative References".

??

/mtr

From: [email-masked] (Scott W Brim)
Date: Thu, 21 Nov 2002 16:22:05 -0500
Subject: [xml2rfc] the "next rev" coming soon...
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <20021121212205.GA1968@SBRIM-W2K1>

On Thu, Nov 21, 2002 04:13:21PM -0500, Marshall Rose allegedly wrote:
> 1. if you have at least one <reference/> element, then at least one of
>    them must have title='Normative References'

RFCs aren't necessarily specifications, and if they are purely
informational they can have purely non-normative references.  In the IPR
one the only normative reference I have is to rfc2119.

From: [email-masked] (Marshall Rose)
Date: Thu, 21 Nov 2002 16:13:21 -0500
Subject: [xml2rfc] the "next rev" coming soon...
Message-ID: <[email-masked]>

hi. i've made a few changes to try to make it easier to conform to the
latest ID-nits document from the IESG. specifically:
    
1. if you have at least one <reference/> element, then at least one of
   them must have title='Normative References'
    
2. you must have a section with title='Security Considerations'
    
3. the long IPR text is now included at the end of the I-D (unless the
   I-D isn't conformant to 2026)

does anyone have any other requests for ID-nits support? e.g., should
"IANA Considerations" be required.

in addition,
    
1. the changes are in there for graham's html <img/> stuff.
    
2. the hanging indent maxes out at 11, as per randy's request.

thanks,
    
/mtr

From: [email-masked] (Chris Newman)
Date: Mon, 18 Nov 2002 09:21:42 -0500
Subject: [xml2rfc] xref in ABNF comments
Message-ID: <[email-masked]>

I tried to put an xref in an ABNF comment (inside an <artwork> section), 
but xml2rfc.tcl seems to insert extra newlines around the reference.

I wanted:

   foo   = bar
         ; bar defined in [3]

I instead got:

   foo   = bar
         ; bar defined in
  [3]

Can you fix xml2rfc.tcl so it won't insert the extra newline in this case? 
Or is there another way to do what I want?

                - Chris

From: [email-masked] (Marshall Rose)
Date: Sun, 17 Nov 2002 18:24:38 -0500
Subject: [xml2rfc] A modest suggestion
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> I suggest enclosing it in a <p> block so that the image is indented to the 
> level of surrounding paragraphs, like this:
> 
>    <p>
>    <img src="foo.gif" alt="Description of foo"></img>
>    </p>

okie-dokie.
    
/mtr

From: [email-masked] (Graham Klyne)
Date: Sun, 17 Nov 2002 04:47:07 +0000
Subject: [xml2rfc] A modest suggestion
In-Reply-To: <[email-masked]. ca.us>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

At 08:32 AM 11/14/02 -0800, Marshall Rose wrote:
> > I'm running TCL 8.0.5.
>
>upgrade the tcl on the system you're now using: 8.0.5 is close to four
>years old...

I've upgraded my TCL, and the change works well.  Thanks!

I have one small comment:  currently something like the following is generated:

   <img src="foo.gif" alt="Description of foo"></img>

I suggest enclosing it in a <p> block so that the image is indented to the 
level of surrounding paragraphs, like this:

   <p>
   <img src="foo.gif" alt="Description of foo"></img>
   </p>

I made a trivial change to a single function in the code to do this 
(inserted <p> before <img, and </p> after </img>), listed below.

#g
--

[[
proc figure_html {tag lines anchor title {av {}}} {
     global options
     global stdout
     global imgP

     set imgP 0
     switch -- $tag {
         begin {
             if {[string compare $title ""]} {
                 puts $stdout "<br><hr size=\"1\" shade=\"0\">"
             }
             if {[string compare $anchor ""]} {
                 puts $stdout "<a name=\"$anchor\"></a>"
             }
             if {([set x [lsearch -exact $av src]] >= 0) && ([incr x]%2)} {
                 puts -nonewline $stdout "<p><img"
                 foreach {k v} $av {
                     if {[string first . $k] != 0} {
                         puts -nonewline $stdout ""
                         regsub -all {"} $v {&quot;} v
                         puts -nonewline $stdout " $k=\"$v\""
                     }
                 }
                 puts $stdout "></img></p>"
                 set imgP 1
             }
         }

         end {
             if {[string compare $title ""]} {
                 puts $stdout "<table border=\"0\" cellpadding=\"0\" 
cellspacing=\"2\" align=\"center\"><tr><td align=\"center\"><font 
face=\"monaco, MS Sans Serif\" 
size=\"1\"><b>&nbsp;$title&nbsp;</b></font><br></td></tr></table><hr 
size=\"1\" shade=\"0\">"
             }
         }
     }
}
]]

-------------------
Graham Klyne
<[email-masked]>

From: [email-masked] (Marshall Rose)
Date: Thu, 14 Nov 2002 09:08:58 -0800
Subject: [xml2rfc] A modest suggestion
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

one other thing to note if you're upgrading to a new xml2rfc after a
long period of time. there are still two ways of doing includes, but the
oldest way "%include" was replaced by the "official XML" way.
    
so, if your files use
    
    %include foo;
    
you now want to use
    
    <?rfc include="foo"?>
    
(this isn't the "official XML" way, but it's the easiest way to get
things working again.)
    
/mtr

From: [email-masked] (Marshall Rose)
Date: Thu, 14 Nov 2002 08:32:58 -0800
Subject: [xml2rfc] A modest suggestion
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> I'm running TCL 8.0.5.

upgrade the tcl on the system you're now using: 8.0.5 is close to four
years old...
    
if you can't upgrade, i guess i can provide you a version of xml2rfc.tcl
that doesn't need "string replace"...

/mtr

From: [email-masked] (Graham Klyne)
Date: Wed, 13 Nov 2002 15:33:12 +0000
Subject: [xml2rfc] A modest suggestion
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

At 04:10 PM 11/11/02 -0800, Marshall Rose wrote:
>try the attached file and see if it does what you want.

I'm offline at the moment, and away from my normal dev environment... but 
when I try to run the new program over an existing document, I get the 
following xml2rfc oops! message:  "bad option "replace": must be compare, 
first, index, last, length, match, range, tolower, toupper, trim, trimleft, 
trimright, wordend or wordstart".

Up until now, I have been using an older version of this program, so it 
maybe something that changed along the line.  I'll try and give a more 
complete report when I'm back online.

I can confirm that my older program version (22 Aug 2001, 136868 bytes) 
works with source files on which the new program fails.

I'm running TCL 8.0.5.

#g
--

>
>/mtr
>
>ps: when generating html, if an src attribute appears in an <artwork>
>tag, then in addition to ignoring the #pcdata contents of the <artwork/>
>element, the contents of the <preamble/> and <postamble/> elements will
>be ignored as well...
>
>                                   #######

-------------------
Graham Klyne
<[email-masked]>

From: [email-masked] (Marshall Rose)
Date: Mon, 11 Nov 2002 19:16:44 -0800
Subject: [xml2rfc] I-D.ietf-ipngwg-addr-arch-v3
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

>    [I-D.ietf-ipngwg-addr-arch-v3]
>               Gupta, M. and S. Deering, "IP Version 6 Addressing
>               Architecture", draft-ietf-ipngwg-addr-arch-v3-11 (work in
>               progress), October 2002.
> 
> that should be Hinden and Deering!
> 
> INTERNET-DRAFT                                          R. Hinden, Nokia
> October 25, 2002                               S. Deering, Cisco Systems
> 
>                   IP Version 6 Addressing Architecture
>                 <draft-ietf-ipngwg-addr-arch-v3-11.txt>

well, the database is built automatically from 1id-abstracts.txt. here's what it
says:

  "IP Version 6 Addressing Architecture", Mukesh Gupta, S. Deering,
  28-OCT-02, <draft-ietf-ipngwg-addr-arch-v3-11.txt>

    This specification defines the addressing architecture of the IPVersion
    6 protocol [IPV6]. The document includes the IPv6 addressingmodel, text
    representations of IPv6 addresses, definition of IPv6unicast addresses,
    anycast addresses, and multicast addresses, and anIPv6 node's required
    addresses.This document obsoletes RFC-2373 'IP Version 6
    AddressingArchitecture'.

i'll send the secretariat a note asking them to check into it.

/mtr

From: [email-masked] (Randy Bush)
Date: Mon, 11 Nov 2002 18:37:55 -0800
Subject: [xml2rfc] I-D.ietf-ipngwg-addr-arch-v3
Message-ID: <[email-masked]>

   [I-D.ietf-ipngwg-addr-arch-v3]
              Gupta, M. and S. Deering, "IP Version 6 Addressing
              Architecture", draft-ietf-ipngwg-addr-arch-v3-11 (work in
              progress), October 2002.

that should be Hinden and Deering!

INTERNET-DRAFT                                          R. Hinden, Nokia
October 25, 2002                               S. Deering, Cisco Systems

                  IP Version 6 Addressing Architecture
                <draft-ietf-ipngwg-addr-arch-v3-11.txt>

randy

From: [email-masked] (Marshall Rose)
Date: Mon, 11 Nov 2002 16:10:05 -0800
Subject: [xml2rfc] A modest suggestion
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

This is a multi-part message in MIME format.

--Multipart_Mon__11_Nov_2002_16:10:05_-0800_0881f400
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit

try the attached file and see if it does what you want.
    
/mtr
    
ps: when generating html, if an src attribute appears in an <artwork>
tag, then in addition to ignoring the #pcdata contents of the <artwork/>
element, the contents of the <preamble/> and <postamble/> elements will
be ignored as well...
    
				  #######

--Multipart_Mon__11_Nov_2002_16:10:05_-0800_0881f400
Content-Type: application/x-tcl;
 name="xml2rfc.tcl"
Content-Disposition: attachment;
 filename="xml2rfc.tcl"
Content-Transfer-Encoding: base64

--Multipart_Mon__11_Nov_2002_16:10:05_-0800_0881f400--

From: [email-masked] (Graham Klyne)
Date: Mon, 11 Nov 2002 19:34:24 +0000
Subject: [xml2rfc] A modest suggestion
Message-ID: <[email-masked]>

I'm using XML2RFC to generate some documents that are not destined to be 
RFCs or I-Ds.  I very much appreciate:
(a) the focus on content rather than presentation, and
(b) the bibliography libraries that make reference generation so much less 
work.

But, I would like to be able to embed the occasional diagram in my documents.

My suggestion is this, adapting the example from [1]:

     <figure anchor="figure_example">
         <preamble>So,
         putting it all together, we have, e.g.,</preamble>
         <artwork img="uri" alt="some text">
             ascii artwork goes here...

             be sure to use "&lt;" or "&amp;" instead of "<" and "&",
             respectively!
         </artwork>
         <postamble>which is a very simple example.</postamble>
     </figure>

My thought is that when generating HTML, if the img= attribute is present 
then instead of outputting the ASCII art, something like:

     <img src="uri" alt="some text" />

would be generated in the output.  (The alt='...' value would be optional, 
and inlcuded in the <img...> element iff present in the source file 
<artwork...> element.

#g
--

[1] file://localhost/F:/xml2rfc/rfc2629-bis.html#figure

-------------------
Graham Klyne
<[email-masked]>

From: [email-masked] (Scott W Brim)
Date: Mon, 11 Nov 2002 09:15:39 -0500
Subject: [xml2rfc] shorter refs to i-ds
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

On Monday, November 11, 2002 3:35 AM -0500,
Graham Klyne <[email-masked]> allegedly wrote:
> A maybe simpler suggestion:  if the reference tag is longer than some
> length (say 12-16 chars), wrap the following text to a new line?

... with a refLengthThreshold <?rfc> statement, perhaps?

I think this is the best approach.  Even with a regexp, it's going to be
hard to get the ref length under control.  For a nice consistent
presentation you could set the length threshold to 0.

...Scott

From: [email-masked] (Randy Bush)
Date: Mon, 11 Nov 2002 04:49:54 -0800
Subject: [xml2rfc] shorter refs to i-ds
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> A maybe simpler suggestion:  if the reference tag is longer than some 
> length (say 12-16 chars), wrap the following text to a new line?
> 
>     [I-D.ietf-ipngwg-addr-arch-v3]
>                     Gupta, M. and S. Deering, "IP Version
>                     6 Addressing Architecture", draft-
>                     ietf-ipngwg-addr-arch-v3-11 (work in
>                     progress), October 2002.
> 
>     [RFC2434]       Narten, T. and H. Alvestrand,
>                     "Guidelines for Writing an IANA
>                     Considerations Section in RFCs", BCP
>                     26, RFC 2434, October 1998.

works for me

> (I'm guessing that most I-D refs will become RFCs in the lifetime of a 
> draft, so any problem sort-of dissipates.)

while this is true for normative references, it need not be the
case for informative ones.

randy

From: [email-masked] (Graham Klyne)
Date: Mon, 11 Nov 2002 08:35:56 +0000
Subject: [xml2rfc] shorter refs to i-ds
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

A maybe simpler suggestion:  if the reference tag is longer than some 
length (say 12-16 chars), wrap the following text to a new line?

E.g.

[[
    [I-D.ietf-ipngwg-addr-arch-v3]
                    Gupta, M. and S. Deering, "IP Version
                    6 Addressing Architecture", draft-
                    ietf-ipngwg-addr-arch-v3-11 (work in
                    progress), October 2002.

    [RFC2434]       Narten, T. and H. Alvestrand,
                    "Guidelines for Writing an IANA
                    Considerations Section in RFCs", BCP
                    26, RFC 2434, October 1998.
]]

(I'm guessing that most I-D refs will become RFCs in the lifetime of a 
draft, so any problem sort-of dissipates.)

#g
--

At 04:45 PM 11/10/02 -0800, Randy Bush wrote:
> >> - provide a way of mapping the anchor strings within the main
> >>   document, e.g.,
> >>     <?rfc anchormap='%I-D\.ietf-(*)%\1%'?>
> >>   which would give you
> >>     [ipngwg-addr-arch-v3]  Gupta, M. ...
> >
> > so, do you want me to implement the regexp-based subsitution
> > mechanism?
>
>well, let's see if anyone else is enamoured of it.  i hate to create
>work that has narrow use.
>
>randy
>
>_______________________________________________
>xml2rfc mailing list
>[email-masked]
>http://lists.xml.resource.org/mailman/listinfo/xml2rfc

-------------------
Graham Klyne
<[email-masked]>

From: [email-masked] (Randy Bush)
Date: Sun, 10 Nov 2002 16:45:15 -0800
Subject: [xml2rfc] shorter refs to i-ds
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

>> - provide a way of mapping the anchor strings within the main
>>   document, e.g.,
>>     <?rfc anchormap='%I-D\.ietf-(*)%\1%'?>
>>   which would give you
>>     [ipngwg-addr-arch-v3]  Gupta, M. ...
> 
> so, do you want me to implement the regexp-based subsitution
> mechanism?

well, let's see if anyone else is enamoured of it.  i hate to create
work that has narrow use.

randy

From: [email-masked] (Marshall Rose)
Date: Sun, 10 Nov 2002 16:37:48 -0800
Subject: [xml2rfc] shorter refs to i-ds
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> > - provide a way of mapping the anchor strings within the main
> >   document, e.g.,
> >     <?rfc anchormap='%I-D\.ietf-(*)%\1%'?>
> >   which would give you
> >     [ipngwg-addr-arch-v3]  Gupta, M. ...
> 
> sure.  better.  or, to be grotty
> 
>    this is some document text which has an embedded reference
>    <xref target="I-D.ietf-ipngwg-addr-arch-v3"></xref> in it.
> ...
> <references>
>   <?rfc include="reference.I-D.ietf-ipngwg-addr-arch-v3" label="foo" ?>
>   </references>
> 
> producing
> 
>    [foo]    Gupta, M. and S. Deering, "IP Version 6 Addressing
> 	    Architecture", draft- ietf-ipngwg-addr-arch-v3-11 
> 	    (work in progress), October 2002.

unfortunately, the architecture of xml2rfc does the include
processing before any xml processing actually occurs, so it's not
easy to modify the "<?rfc include" mechanism.
    
so, do you want me to implement the regexp-based subsitution
mechanism?
    
/mtr

From: [email-masked] (Randy Bush)
Date: Sun, 10 Nov 2002 15:34:40 -0800
Subject: [xml2rfc] shorter refs to i-ds
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> well, this is tricky, because the goal here is to provide a global
> bibliographic database, which means that we don't want the anchor to be
> conflict with something else.

understand.  but one can differentiate between how the document is
referenced and how the reference is displayed.

> - leave the anchor alone have the amount of indentation be specific
>   to each reference.

not pretty

> - provide a way of mapping the anchor strings within the main
>   document, e.g.,
>     <?rfc anchormap='%I-D\.ietf-(*)%\1%'?>
>   which would give you
>     [ipngwg-addr-arch-v3]  Gupta, M. ...

sure.  better.  or, to be grotty

   this is some document text which has an embedded reference
   <xref target="I-D.ietf-ipngwg-addr-arch-v3"></xref> in it.
...
<references>
  <?rfc include="reference.I-D.ietf-ipngwg-addr-arch-v3" label="foo" ?>
  </references>

producing

   [foo]    Gupta, M. and S. Deering, "IP Version 6 Addressing
	    Architecture", draft- ietf-ipngwg-addr-arch-v3-11 
	    (work in progress), October 2002.

randy

From: [email-masked] (Marshall Rose)
Date: Sun, 10 Nov 2002 13:26:59 -0800
Subject: [xml2rfc] shorter refs to i-ds
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> in
> 
>    [I-D.ietf-ipngwg-addr-arch-v3]  Gupta, M. and S. Deering, "IP Version
>                                    6 Addressing Architecture", draft-
>                                    ietf-ipngwg-addr-arch-v3-11 (work in
>                                    progress), October 2002.
> 
>    [RFC2434]                       Narten, T. and H. Alvestrand,
>                                    "Guidelines for Writing an IANA
>                                    Considerations Section in RFCs", BCP
>                                    26, RFC 2434, October 1998.
> 
> the first reference shoves everything else to the right.  is there
> a way to get more abbreviated references to i-ds only?  i do not
> like the result of <?rfc symrefs="no" ?>
> 
> like how about at least getting rid of the "I-D."?

well, this is tricky, because the goal here is to provide a global
bibliographic database, which means that we don't want the anchor to be
conflict with something else.
    
i suppose there are possibilities:
    
    - leave the anchor alone have the amount of indentation be specific
      to each reference.
    
    - provide a way of mapping the anchor strings within the main
      document, e.g.,
    
        <?rfc anchormap='%I-D\.ietf-(*)%\1%'?>
    
      which would give you
    
	[ipngwg-addr-arch-v3]	Gupta, M. ...
    
comments?
    
/mtr

From: [email-masked] (Randy Bush)
Date: Sun, 10 Nov 2002 11:49:07 -0800
Subject: [xml2rfc] shorter refs to i-ds
Message-ID: <[email-masked]>

in

   [I-D.ietf-ipngwg-addr-arch-v3]  Gupta, M. and S. Deering, "IP Version
                                   6 Addressing Architecture", draft-
                                   ietf-ipngwg-addr-arch-v3-11 (work in
                                   progress), October 2002.

   [RFC2434]                       Narten, T. and H. Alvestrand,
                                   "Guidelines for Writing an IANA
                                   Considerations Section in RFCs", BCP
                                   26, RFC 2434, October 1998.

the first reference shoves everything else to the right.  is there
a way to get more abbreviated references to i-ds only?  i do not
like the result of <?rfc symrefs="no" ?>

like how about at least getting rid of the "I-D."?

randy

From: [email-masked] (Randy Bush)
Date: Sun, 10 Nov 2002 11:03:16 -0800
Subject: [xml2rfc] out of date i-d archive
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> well, my remote directory is in sync and has -11. so, try this:

i did that earlier this morning and it worked.  no, i do not know
why.

btw, any chance for an rsync server?

and, once again, thanks for xml2rfc.  i did two drafts last eve,
and it was great!

randy

From: [email-masked] (Marshall Rose)
Date: Sun, 10 Nov 2002 10:40:35 -0800
Subject: [xml2rfc] out of date i-d archive
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> i update my references archives with
> 
> cd /usr/home/randy/refs/rfc
> wget -r -l 1 -A .xml -nd -nc http://xml.resource.org/public/rfc/bibxml/
> cd ../id
> 
> 
> the i-d archive has reference.I-D.ietf-ipngwg-addr-arch-v3.xml, but it 
> points to -08.txt while the current internet-drafts directory has -11.txt.
> 
> i demand a full refund!  :-)
> 
> well, i'll settle for a clue.  thanks.

well, my remote directory is in sync and has -11. so, try this:
    
% cd /usr/home/randy/refs
% mv id id.old
% mkdir id
% cd id
% wget -r -l 1 -A .xml -nd -nc http://xml.resource.org/public/rfc/bibxml3/
% cd ..
% diff -r id.old id
    
/mtr

ps: no, i don't know why wget has you out of sync.

From: [email-masked] (Randy Bush)
Date: Sat, 09 Nov 2002 20:59:01 -0800
Subject: [xml2rfc] url in reference
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> <reference target='...' ...

sweet!  thanks.

randy

From: [email-masked] (Bjoern Hoehrmann)
Date: Sun, 10 Nov 2002 05:57:25 +0100
Subject: [xml2rfc] url in reference
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

* Randy Bush wrote:
>how do i put a URL in a reference?  i tried
>
>         </author>
>         <date month="October" year="2002" />
>         <url>http://www.blah-blah-blah</url>
>         </front>
>     </reference>

<reference target='...' ...

From: [email-masked] (Randy Bush)
Date: Sat, 09 Nov 2002 20:56:22 -0800
Subject: [xml2rfc] out of date i-d archive
Message-ID: <[email-masked]>

i update my references archives with

cd /usr/home/randy/refs/rfc
wget -r -l 1 -A .xml -nd -nc http://xml.resource.org/public/rfc/bibxml/
cd ../id
wget -r -l 1 -A .xml -nd -nc http://xml.resource.org/public/rfc/bibxml3/

the i-d archive has reference.I-D.ietf-ipngwg-addr-arch-v3.xml, but it 
points to -08.txt while the current internet-drafts directory has -11.txt.

i demand a full refund!  :-)

well, i'll settle for a clue.  thanks.

randy

From: [email-masked] (Randy Bush)
Date: Sat, 09 Nov 2002 20:37:54 -0800
Subject: [xml2rfc] url in reference
Message-ID: <[email-masked]>

i actually searched the archive.  but the archive search tools are not 
great, ...

how do i put a URL in a reference?  i tried

         </author>
         <date month="October" year="2002" />
         <url>http://www.blah-blah-blah</url>
         </front>
     </reference>

but no go

randy

From: [email-masked] (Marshall Rose)
Date: Thu, 7 Nov 2002 08:57:41 -0800
Subject: [xml2rfc] w3c bibliographic database
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> What was bibxml2?

bibxml = rfc series
bibxml2 = various iso/itu/ccitt/w3c/etc. things that were built by hand
bibxml3 = i-d repository
bibxml4 = w3c repository

in general, the things in bibxml2 got put there if they were used by 3 or more
rfcs written before rfc 2800. (a few years ago, i hired a contractor to take the
.txt files and convert the front- and back-matter to xml. most of the files you
see in bibxml2 were the by-product of that work.)

/mtr

From: [email-masked] (Scott W Brim)
Date: Thu, 7 Nov 2002 10:01:47 -0500
Subject: [xml2rfc] w3c bibliographic database
References: <[email-masked]>
Message-ID: <[email-masked]>

What was bibxml2?

From: [email-masked] (Marshall Rose)
Date: Wed, 6 Nov 2002 15:25:58 -0800
Subject: [xml2rfc] w3c bibliographic database
Message-ID: <[email-masked]>

hi. the w3c has kindly provided an rdf-based bibliography that is regularly
updated, so i've modified the scripts here to get the file and create biblio
files in the 2629 format:

	http://xml.resource.org/public/rfc/bibxml4/browse.html

/mtr